Package org.springframework.security.web.authentication.logout

# Class SimpleUrlLogoutSuccessHandler

java.lang.Object
org.springframework.security.web.authentication.AbstractAuthenticationTargetUrlRequestHandler
org.springframework.security.web.authentication.logout.SimpleUrlLogoutSuccessHandler

All Implemented Interfaces:
  `LogoutSuccessHandler`

public class SimpleUrlLogoutSuccessHandler extends AbstractAuthenticationTargetUrlRequestHandler implements LogoutSuccessHandler
Handles the navigation on logout by delegating to the `AbstractAuthenticationTargetUrlRequestHandler` base class logic.

Since:
  3.0

## Field Summary

### Fields inherited from class org.springframework.security.web.authentication.AbstractAuthenticationTargetUrlRequestHandler

`logger`

## Constructor Summary

Constructors
Constructor
Description
`SimpleUrlLogoutSuccessHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onLogoutSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication)`

### Methods inherited from class org.springframework.security.web.authentication.AbstractAuthenticationTargetUrlRequestHandler

`determineTargetUrl, determineTargetUrl, getDefaultTargetUrl, getRedirectStrategy, getTargetUrlParameter, handle, isAlwaysUseDefaultTargetUrl, setAlwaysUseDefaultTargetUrl, setDefaultTargetUrl, setRedirectStrategy, setTargetUrlParameter, setUseReferer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleUrlLogoutSuccessHandler

public SimpleUrlLogoutSuccessHandler()

## Method Details

### onLogoutSuccess

public void onLogoutSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication) throws IOException, jakarta.servlet.ServletException

Specified by:
  `onLogoutSuccess` in interface `LogoutSuccessHandler`
Throws:
  `IOException`
  `jakarta.servlet.ServletException`